--List of every type of stone
stoneTypes = {
    "darkage:basalt",
    "darkage:gneiss",
    "darkage:ors",
    "darkage:slate",
    "default:desert_sandstone",
    "default:desert_stone",
    "default:obsidian",
    "default:sandstone",
    "default:silver_sandstone",
    "default:stone",
}

--Iterates over all stone types and registers a block-to-stone recipe per entry

for _, stone in pairs(stoneTypes) do
    minetest.register_craft({
        output = stone
        recipe = {stone.."_block"}
    })
end

--Quick and efficient recipes for fertillizer
minetest.register_craft{
	type = "shapeless"
	output = "bonemeal:fertiliser 8"
	recipe = {"group:bone", "group:bone", "group:tree", "group:leaves", "group:leaves", "group:leaves", "group:leaves", "group:leaves", "group:leaves"}
}

minetest.register_craft{
	type = "shapeless"
	output = "bonemeal:fertiliser 2"
	recipe = {"group:seed", "group:seed", "group:seed", "group:seed", "group:seed", "group:seed", "group:seed", "group:seed", "bonemeal:bonemeal"}
}

--Extraction of lava from the bucket
minetest.register_craft{
    type = "shapeless",
    output = "default:lava_source",
    recipe = {"bucket:bucket_lava"}
    replacements={
    {"bucket:bucket_lava","bucket:bucket_empty"},
  }
}

--Public furnace reverting
minetest.register_craft{
    type = "shapeless"
    output = "default:furnace"
    recipe = {"public_furnace:public_furnace"}
}